# Webhooks

Create, list, patch, delete, and retrieve webhook endpoints, manage secret keys, and receive events when customer or invoice records change.

## Create webhook

 - [POST /webhooks/create](https://api-docs.solidgate.com/api/v2/webhooks/create-webhook.md): Creates a new webhook endpoint to receive payment and order events. Webhook endpoints are inactive until activated by calling the patch endpoint with the status set to ACTIVE.

## List webhooks

 - [POST /webhooks/list](https://api-docs.solidgate.com/api/v2/webhooks/list-webhook.md): Retrieves a paginated list of webhook endpoints.

## Get webhook

 - [POST /webhooks/get](https://api-docs.solidgate.com/api/v2/webhooks/get-webhook.md): Retrieves webhook endpoint details by ID.

## Patch webhook

 - [POST /webhooks/patch](https://api-docs.solidgate.com/api/v2/webhooks/patch-webhook.md): Updates an existing webhook endpoint configuration.

## Delete webhook

 - [POST /webhooks/delete](https://api-docs.solidgate.com/api/v2/webhooks/delete-webhook.md): Deletes a webhook endpoint.

## Rotate webhook key

 - [POST /webhooks/rotate-key](https://api-docs.solidgate.com/api/v2/webhooks/rotate-webhook-key.md): Rotates the secret for the specified webhook key. Returns a new secret in the rotate_secret field, which becomes valid within a few seconds. The previous secret remains valid during the rotation period and expires once the period ends.

